1. For Email Infra Provider
Plusvibe.ai API Documentation
  • Getting Started
    • Getting Started
    • Webhooks - Overview
    • Webhooks - Payload - Email Replies
    • Webhooks - Payload - Lead Marked As Label
    • Webhooks - Payload - Campaign Emails Sent
    • Webhooks - Payload - Bounced Email
    • Webhooks - Payload - Unibox Email Sent
    • Workspace Deep Link Parameter
    • Email Infra Provider Guide
  • User API Endpoints
    • Workspace
      • Get workspaces
      • Add a new workspace
      • Copy workspace settings
    • Campaign
      • Create a new campaign
      • Create a new subsequence
      • List campaigns (deprecated)
      • List all campaigns
      • Get campaign name
      • Get campaign status
      • Get campaign email accounts
      • Get campaign emails
      • Get campaign variation stats
      • Set campaign name
      • Set campaign Schedules (deprecated)
      • Activate campaign
      • Pause campaign
      • Update Campaign
      • Delete or archive a campaign
    • Lead
      • Add leads to a campaign
      • Add leads to a subsequence campaign
      • Get or search for lead
      • Delete leads from a campaign
      • Lead Variable/Label Update or Add
      • Fetch workspace leads
      • Update the status of a lead
      • Get lead counts by status
    • Email Account
      • List all email accounts in the workspace
      • Get email account status
      • Check account vitals
      • Enable Email account warmup
      • Pause Email account warmup
      • Delete Email account
      • Get Warmup Stats (Workspace-Level)
      • Bulk Add SMTP Accounts
      • Bulk Update Email Accounts
      • Bulk Update Email Account Warmup Status
      • Bulk Assign/Remove Tags from Email Accounts
      • Bulk reconnect email accounts
      • Get email account stats for a date range
    • Analytics
      • Get campaign summary
      • Get campaign count (deprecated)
      • Get campaign stats
      • Get all campaigns statistics
    • Unibox
      • Get emails
      • Get emails in Others folder
      • Get count of unread emails
      • Reply to an email
      • Forward an existing email
      • Compose New Email
      • Mark Email Read
      • Save Email as Draft
      • Delete an Entire Email Thread
      • Delete a Single Email Message
    • Blocklist
      • Get entries in the blocklist
      • Adds entries to the blocklist
      • Delete entries in the blocklist
    • Webhook
      • Add a new webhook
      • List webhooks
      • Delete webhook(s)
    • Tags
      • List Tags
      • Create a New Tag
      • Update an Existing Tag
      • Delete Multiple Tags
    • Client Access
      • Create client
      • Edit client
      • Update client status
      • Delete client
      • List clients
    • Email Placement Test
      • Parent Recurring Test
        • Create a new parent test (recurring test)
        • Update a parent test
        • List all parent tests
        • Get parent test details
        • Delete parent test(s)
        • Duplicate a parent test
      • Child (Test Run) Test
        • List child (Test Run) tests
        • Get child test details
      • Results & Analytics
        • Get test summary
        • Get detailed test statistics
        • Get test result for a sender account
      • Get recipient providers
    • Schemas
      • ScheduleV2
      • SequenceStep
      • Campaign
      • Variation
      • EmailAccountId
      • WarmupStatus
      • BulkUpdateWarmupRequest
      • TagAction
      • BulkTagAssignmentRequest
      • ObjectId
      • HexColor
      • CreateTagRequest
      • UpdateTagRequest
      • DeleteTagsRequest
      • DeleteCampaignRequest
      • BulkReconnectRequest
      • SuccessResponse
      • ErrorResponse
      • ClientWorkspacePermission
      • CreateClientRequest
      • CreateClientResponse
      • UpdateClientRequest
      • ClientListItem
      • PatchClientStatusRequest
      • GenericSuccessResponse
      • ParentTest
      • ParentTestDetail
      • ChildTest
      • ChildTestDetail
      • VariationStepStats
      • VariationStats
      • CopyWorkspaceRequest
      • ResourceType
      • CopyWorkspaceResponse
      • EmailStatsResponse
      • EmailStatsHeader
      • EmailStatsChartPoint
      • ValidationErrorResponse
      • CheckSuccess
      • AuthFailure
  • For Email Infra Provider
    • Email Infra Provider Guide
    • List workspaces
      POST
    • List all email accounts in the workspace
      GET
    • Check if an email exists in another workspace
      GET
    • Initiate Google OAuth login flow
      POST
    • Initiate Microsoft OAuth login flow
      POST
    • Bulk Add SMTP Accounts (via Username and Password)
      POST
    • Schemas
      • AuthFailure
      • CheckSuccess
      • ErrorResponse
  1. For Email Infra Provider

Bulk Add SMTP Accounts (via Username and Password)

POST
https://api.plusvibe.ai/v1/webhook/partner-upload-regular-accounts
Bulk add multiple SMTP (non-Google / non-Microsoft) email accounts via API, by providing PlusVibe Username and Password. A notification email can be set to receive the upload results.
*** Note: A successful response does not indicate that the email accounts were added successfully. It only means that the server has accepted the request. The results of the upload will be sent to provided notification email address. ***

Request

Body Params application/json

Examples

Responses

🟢200OK
application/json
API called successfully.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.plusvibe.ai/v1/webhook/partner-upload-regular-accounts' \
--header 'Content-Type: application/json' \
--data-raw '{
    "workspace_id": "65099a0dd96fae8ab61120c0",
    "accounts": [
        {
            "first_name": "John",
            "last_name": "Doe",
            "email": "john.doe@domain.com",
            "daily_limit": 20,
            "username": "john.doe@domain.com",
            "password": "password1234!",
            "imap_host": "imap.domain.com",
            "imap_port": 993,
            "smtp_host": "smtp.domain.com",
            "smtp_username": "john.doe@domain.com",
            "smtp_password": "password1234!",
            "smtp_port": 465,
            "min_interval": 6,
            "enable_camp_rampup": "yes",
            "camp_rampup_start": 5,
            "camp_rampup_increment": 2,
            "enable_warmup": "yes",
            "warmup_daily_limit": 25,
            "enable_warmup_rampup": "yes",
            "warmup_rampup_start": 5,
            "warmup_rampup_increment": 3
        }
    ],
    "pipl_username": "string",
    "pipl_password": "string",
    "notification_email": "string",
    "provider_id": "6a4a432f257de545d3947f3f"
}'
Response Response Example
{
    "status": "success"
}
Modified at 2026-07-24 16:34:05
Previous
Initiate Microsoft OAuth login flow
Next
AuthFailure
Built with